Bug 678920 (CVE-2011-1005) - CVE-2011-1005 Ruby: Untrusted codes able to modify arbitrary strings
Summary: CVE-2011-1005 Ruby: Untrusted codes able to modify arbitrary strings
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1005
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20110218,reported=2...
Depends On: 709957 709958 709959 709963 709964
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-20 20:27 UTC by Jan Lieskovsky
Modified: 2019-06-08 18:45 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-29 14:33:49 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0908 normal SHIPPED_LIVE Moderate: ruby security update 2011-06-28 17:22:27 UTC
Red Hat Product Errata RHSA-2011:0909 normal SHIPPED_LIVE Moderate: ruby security update 2011-06-28 17:33:49 UTC
Red Hat Product Errata RHSA-2011:0910 normal SHIPPED_LIVE Moderate: ruby security update 2011-06-28 17:33:22 UTC

Description Jan Lieskovsky 2011-02-20 20:27:53 UTC
A security flaw was found in the Ruby method,
translating message of the exception into string
representation. An attacker could use this flaw
to modify arbitrary untainted strings into their
tainted equivalents by tricking the safe level
mechanism of this method.

References:
[1] http://www.ruby-lang.org/en/news/2011/02/18/exception-methods-can-bypass-safe/

Upstream patch (against ruby_1_8 branch):
[2] http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=30903

Comment 1 Jan Lieskovsky 2011-02-20 20:37:54 UTC
This issue affects the versions of the ruby package, as shipped with
Red Hat Enterprise Linux 5 and 6.

--

This issue affects the versions of the ruby package, as shipped with
Fedora release of 13.

Particular ruby package update for Fedora release of 14 has been already
scheduled. Upon testing phase, it will be pushed to Fedora 14 stable
repository.

Comment 2 Jan Lieskovsky 2011-02-21 12:52:03 UTC
CVE Request:
[3] http://www.openwall.com/lists/oss-security/2011/02/21/2

Comment 3 Jan Lieskovsky 2011-02-22 08:43:04 UTC
The CVE identifier of CVE-2011-1005 has been assigned to this issue:
[4] http://www.openwall.com/lists/oss-security/2011/02/21/5

Comment 15 errata-xmlrpc 2011-06-28 17:22:44 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0908 https://rhn.redhat.com/errata/RHSA-2011-0908.html

Comment 16 errata-xmlrpc 2011-06-28 17:33:37 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0910 https://rhn.redhat.com/errata/RHSA-2011-0910.html

Comment 17 errata-xmlrpc 2011-06-28 17:34:11 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0909 https://rhn.redhat.com/errata/RHSA-2011-0909.html

Comment 18 Vincent Danen 2011-06-29 14:29:48 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.